import { select, json, geoPath, tsv, geoNaturalEarth1, zoom} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');


const projection = geoNaturalEarth1() ;

const pathGenerator = geoPath().projection(projection) 
      
svg.append('path')
	.attr('d', pathGenerator({type : 'Sphere'}))
	.attr('class', 'sphere');

svg.call(zoom().on('zoom', () =>{
  console.log('zoom');
}));

Promise.all([
      tsv('https://unpkg.com/world-atlas@1.1.4/world/110m.tsv'),
      json('https://unpkg.com/world-atlas@1.1.4/world/110m.json')
]).then(([tsvData, topoJSONdata]) => {
	const countryName = tsvData.reduce((accumulator, d) => {   
   	accumulator[d.iso_n3] = d.name;
    return accumulator;
  },{});
    
  const countries = feature(topoJSONdata, topoJSONdata.objects.countries);	
  svg.selectAll('path').data(countries.features)
    		.enter().append('path')
  				.attr('d', d => pathGenerator(d))
  				.attr('class', 'country')
  			.append('title')
  				.text(d => countryName[d.id]);
  	










